pub use tosin_macros::{gather_models as gather, Model};

mod meta;
pub use meta::*;

pub type Id = usize;

#[derive(Clone, Debug)]
pub enum Field {
    CharField {
        name: &'static str,
        max_length: Option<usize>,
    },

    DateTimeField {
        name: &'static str,
    },

    IntField {
        name: &'static str,
    },
}
